{--------------------------------------------------------------------}
{ RndText V 1.1                                                      }
{ Written by Martin Waldenburg 1997.                                 }
{ Placed to the Public Domain.                                       }
{ Not testet with Delphi1.                                           }
{ It's provided as is, without a warranty of any kind.               }
{ You use it at your own risc.                                       }
{ You may use and distribute it freely.                              }
{--------------------------------------------------------------------}

unit RndUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    btnStart: TButton;
    btnExit: TButton;
    edtNumberOfItems: TEdit;
    SaveDialog1: TSaveDialog;
    edtLineLenght: TEdit;
    lblNumberOf: TLabel;
    lblLenght: TLabel;
    CheckBox1: TCheckBox;
    procedure btnStartClick(Sender: TObject);
    procedure btnExitClick(Sender: TObject);
  private
    function RndString:String;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function TForm1.RndString:String;
var
  J, Len: integer;
  aChar: Char;
  CharArray: array[0..4095] of Char;
begin
  Len:= StrToInt(edtLineLenght.Text);
  if CheckBox1.Checked then
  begin
    Len:= random(Len);
    if Len < 8 then Len:= 8;
  end;
  for J := 0 to Len -1 do
    begin
      repeat
      aChar := Chr(random(58) + Ord('A'));
      until (aChar <= 'Z') or (aChar >= 'a');
      CharArray[J]:= aChar;
    end;
    CharArray[Len]:= #0;
    Result:= CharArray;
end;


procedure TForm1.btnStartClick(Sender: TObject);
var
  step : integer;
  ToFile: TextFile;
  MaxElems: Integer;
begin
  If SaveDialog1.Execute then
  begin
    AssignFile(ToFile, SaveDialog1.FileName);
    ReWrite(ToFile);
  end;
  MaxElems:= StrToInt(edtNumberOfItems.Text);
  Randomize;
  for step := 1 to MaxElems do
  begin
      Writeln(ToFile, RndString);
   end;
  CloseFile(ToFile);
end;

procedure TForm1.btnExitClick(Sender: TObject);
begin
  close;
end;

end.
